- name: install nfs package
  apt:
    pkg: nfs-common
    state: present
    update_cache: yes
    cache_valid_time: 3600
  become: yes

- name: add flashblade mountpoint
  mount:
    name: /mnt/flashblade
    src: flashstore01.zooxlabs.com:/mnt/pool0/flashblade
    fstype: nfs
    opts: vers=3,tcp,nolock,noresvport
    state: absent
  become: yes

- name: add sun-pcp01 mountpoint
  mount:
    name: /mnt/sun-pcp01
    src: sun-pcpstore01.zooxlabs.com:/sun_pcp01
    fstype: nfs
    opts: hard,vers=3,noauto
    state: mounted
  become: yes
